Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.xslt
Class ProxyNamedNodeMap

    java.lang.Object
      org.apache.struts2.views.xslt.ProxyNamedNodeMap

All Implemented Interfaces:
  NamedNodeMap

    public class ProxyNamedNodeMap

extends Object
implements NamedNodeMap

A NamedNodeMap that wraps the Nodes returned in their proxies. Note: Since maps have no guaranteed order we don't need to worry about identity here as we do with "child" adapters. In that case we need to preserve identity in order to support finding the next/previous siblings.

Field Summary
`private AdapterFactory` | `adapterFactory`
`private NamedNodeMap` | `nodes`
`private AdapterNode` | `parent`

Constructor Summary
`ProxyNamedNodeMap(AdapterFactory factory, AdapterNode parent, NamedNodeMap nodes)`

Method Summary
`int` | `getLength()`
`Node` | `getNamedItem(String name)`
`Node` | `getNamedItemNS(String namespaceURI, String localName)`
`Node` | `item(int index)`
`Node` | `removeNamedItem(String name)`
`Node` | `removeNamedItemNS(String namespaceURI, String localName)`
`Node` | `setNamedItem(Node arg)`
`Node` | `setNamedItemNS(Node arg)`
`protected Node` | `wrap(Node node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nodes

    private NamedNodeMap nodes

### adapterFactory

    private AdapterFactory adapterFactory

### parent

    private AdapterNode parent

Constructor Detail

### ProxyNamedNodeMap

    public ProxyNamedNodeMap(AdapterFactory factory,
                             AdapterNode parent,
                             NamedNodeMap nodes)

Method Detail

### wrap

    protected Node wrap(Node node)

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `NamedNodeMap`

### item

    public Node item(int index)

  Specified by:
    `item` in interface `NamedNodeMap`

### getNamedItem

    public Node getNamedItem(String name)

  Specified by:
    `getNamedItem` in interface `NamedNodeMap`

### removeNamedItem

    public Node removeNamedItem(String name)
                         throws DOMException

  Specified by:
    `removeNamedItem` in interface `NamedNodeMap`
  Throws:
    `DOMException`

### setNamedItem

    public Node setNamedItem(Node arg)
                      throws DOMException

  Specified by:
    `setNamedItem` in interface `NamedNodeMap`
  Throws:
    `DOMException`

### setNamedItemNS

    public Node setNamedItemNS(Node arg)
                        throws DOMException

  Specified by:
    `setNamedItemNS` in interface `NamedNodeMap`
  Throws:
    `DOMException`

### getNamedItemNS

    public Node getNamedItemNS(String namespaceURI,
                               String localName)

  Specified by:
    `getNamedItemNS` in interface `NamedNodeMap`

### removeNamedItemNS

    public Node removeNamedItemNS(String namespaceURI,
                                  String localName)
                           throws DOMException

  Specified by:
    `removeNamedItemNS` in interface `NamedNodeMap`
  Throws:
    `DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.